<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [AuthenticationTypeNotAllowCreateRepositoryError](./git-documentdb.authenticationtypenotallowcreaterepositoryerror.md) &gt; [(constructor)](./git-documentdb.authenticationtypenotallowcreaterepositoryerror._constructor_.md)

## AuthenticationTypeNotAllowCreateRepositoryError.(constructor)

Constructs a new instance of the `AuthenticationTypeNotAllowCreateRepositoryError` class

<b>Signature:</b>

```typescript
constructor(type: string | undefined);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string \| undefined |  |

